<script type="text/javascript" src="/class_v2.01/ext/aspmo_narko/visualize/js/jquery.js"></script>
<script type="text/javascript" language="JavaScript" >
    var pluginObject;
    function addEvent(obj, name, func)
    {
        if (obj.attachEvent) {
            obj.attachEvent(name, func);
        } else {
            obj.addEventListener(name, func, false);
        }
    }

    $(document).ready(function(){
        pluginObject = document.getElementById( 'AuthorizationPlugin' );
        pluginObject.initialize();
        document.getElementById("inputPassNumber").focus();
    });
    function startScan()
    {
        pluginObject.startScan();
    }



    function printQR(inputData)
    {
        var passNumber=inputData['passNumber'];
        var textForQR;
        var num=0;
        for(var key in inputData.fields)
        {
            if(num==0)
                textForQR=inputData.fields[key]+"n";
            else
                textForQR+=inputData.fields[key]+"n";
            num++;
        }
        pluginObject.generateQR(passNumber);
        pluginObject.printQR(textForQR);
    }

    function getDataFromServer(passNumber)
    {
        jQuery.ajax({
            dataType: "json",
            type:"POST",
            async:false,
            url: "/ajax.php?cmd=aspmo_authorization/getMOInfo",
            data: "passNumber="+passNumber,
            success: function(data) {
                var workedData=new Array();
                workedData["name"]=data['name'].substring(0,data['name'].indexOf(" "));
                workedData["secondName"]=data['name'].substring(data['name'].indexOf(" "));
                workedData["br1"]=" ";
                workedData["txt1"]="ВРЕМЯ ПРОХОЖДЕНИЯ ПОСЛЕДНЕГО МО";
                workedData["dateMo"]=data['date'];
                workedData["br2"]=" ";
                workedData["br3"]=" ";
                if (data["dopusk"]==1)
                    workedData["dopusk"]="ДОПУЩЕН";
                else {
                    $('#result').html("Сотрудник не получил допуск!");
                    return;
                }
                workedData["br4"]=" ";
                workedData["br5"]=" ";
                workedData["txt2"]="ВРЕМЯ ПЕЧАТИ ТАЛОНА:";
                workedData["datePrint"]=data["curDate"];

                $('#result').html(data);
                printQR(workedData);
            },
            error: function(jqXHR, textStatus, errorThrown){
                $('#result').html("Не удается произвести соединение с сервером!");
            }
        });
    }
    function newWord()
    {
        var currentString=$("#inputPassNumber").val();
        if (currentString.length==8)
        {
            getDataFromServer($("#inputPassNumber").val());
            $("#inputPassNumber").val("");
            return;
        }
    }

    var inputDataForQR={"fields":{
        "ФАМИЛИЯ":"КРЮЧКОВ",
        "ИМЯОТЧЕСТВО":"АНДРЕЙ ИГОРЕВИЧ",
        "ОТСТУП1":" ",
        "ОТСТУП2":" ",
        "ТЕКСТ1":"ВРЕМЯ ПРОХОЖДЕНИЯ ПОСЛЕДНЕГО МО",
        "ОТСТУП3":" ",
        "ОТСТУП4":" ",
        "ДОПУСК":"ДОПУЩЕН",
        "ТЕКСТ2":"ВРЕМЯ ПЕЧАТИ ТАЛОНА:"},
        "passNumber":"Z1X2C3V4"}


</script>
<object id="AuthorizationPlugin" type="application/x-authorization" width="1" height="1">
    <param name="onload" value="pluginLoaded" />
</object><br />
<div id="main" style="text-align: center;">
    <input id="inputPassNumber" onkeyup="newWord()">
    <div id="result"></div>
</div>
